Forms

Retrieve custom form messages

get

https://api.typeform.com/forms/{form_id}/messages

Retrieves the customizable messages for a form (specified by form_id) using the form's specified language.

You can format messages with bold (*bold*) and italic (_italic_) text. HTML tags are forbidden.

Request

Path Parameters

Response

Status

  • 200 OK

Schema

Messages that forms can use:

  • label.buttonHint.default: Default tooltip button message. Maximum 28 characters. You can format messages with bold (*bold*) and italic (_italic_) text. HTML tags are forbidden.
  • label.buttonHint.longtext: Tooltip button message for long text blocks. Maximum 28 characters. You can format messages with bold (*bold*) and italic (_italic_) text. HTML tags are forbidden.
  • label.warning.connection: Server connection error message. Maximum 128 characters. You can format messages with bold (*bold*) and italic (_italic_) text. HTML tags are forbidden.
  • label.buttonNoAnswer.default: Default continue button message. Maximum 100 characters.
  • label.warning.correction: List of errors message. Maximum 128 characters. You can format messages with bold (*bold*) and italic (_italic_) text. HTML tags are forbidden.
  • block.payment.cardNameTitle: Credit card name message. You can format messages with bold (*bold*) and italic (_italic_) text. HTML tags are forbidden.
  • block.payment.cardNumberTitle: Credit card number message. You can format messages with bold (*bold*) and italic (_italic_) text. HTML tags are forbidden.
  • block.payment.cvcDescription: Credit card security number message.
  • block.payment.cvcNumberTitle: Credit card CVC number message. You can format messages with bold (*bold*) and italic (_italic_) text. HTML tags are forbidden.
  • block.shortText.placeholder: Text input placeholder. Maximum 100 characters.
  • label.error.emailAddress: Invalid email error message. Maximum 64 characters. You can format messages with bold (*bold*) and italic (_italic_) text. HTML tags are forbidden.
  • label.error.expiryMonthTitle: Credit card expiry month message. You can format messages with bold (*bold*) and italic (_italic_) text. HTML tags are forbidden.
  • label.error.expiryYearTitle: Credit card expiry year message. You can format messages with bold (*bold*) and italic (_italic_) text. HTML tags are forbidden.
  • label.warning.fallbackAlert: Fallback alert message. You can format messages with bold (*bold*) and italic (_italic_) text. HTML tags are forbidden.
  • block.fileUpload.choose: File upload button message. Maximum 34 characters. You can format messages with bold (*bold*) and italic (_italic_) text. HTML tags are forbidden.
  • block.fileUpload.drag: File upload dragging action message. Maximum 35 characters. You can format messages with bold (*bold*) and italic (_italic_) text. HTML tags are forbidden.
  • block.fileUpload.uploadingProgress: Still processing file upload message. You can format messages with bold (*bold*) and italic (_italic_) text. HTML tags are forbidden.
  • label.error.sizeLimit: File too big error message. You can format messages with bold (*bold*) and italic (_italic_) text. HTML tags are forbidden.
  • label.warning.formUnavailable: Private form error message. Accepts variable form:name. Maximum 128 characters. You can format messages with bold (*bold*) and italic (_italic_) text. HTML tags are forbidden.
  • label.error.incompleteForm: Incomplete fields error message. Maximum 42 characters. You can format messages with bold (*bold*) and italic (_italic_) text. HTML tags are forbidden.
  • label.hint.key: Key letter hint message. Maximum 100 characters.
  • block.legal.reject: Legal field deny message. You can format messages with bold (*bold*) and italic (_italic_) text. HTML tags are forbidden.
  • block.legal.accept: Legal field accept message. You can format messages with bold (*bold*) and italic (_italic_) text. HTML tags are forbidden.
  • label.error.maxValue: Number maximum value tooltip message. Accepts variable field:max. Maximum 64 characters. You can format messages with bold (*bold*) and italic (_italic_) text. HTML tags are forbidden.
  • label.error.maxLength: Text fields maximum length tooltip message. Accepts variable field:max_length. Maximum 64 characters. You can format messages with bold (*bold*) and italic (_italic_) text. HTML tags are forbidden.
  • label.error.minValue: Number minimum value tooltip message. Accepts variable field:min. Maximum 64 characters. You can format messages with bold (*bold*) and italic (_italic_) text. HTML tags are forbidden.
  • label.error.range: Number minimum and maximum range value tooltip message. Accepts variables field:min and field:max. Maximum 64 characters. You can format messages with bold (*bold*) and italic (_italic_) text. HTML tags are forbidden.
  • block.multipleChoice.hint: Choose as many as you like message for multiple choice fields. Maximum 45 characters. You can format messages with bold (*bold*) and italic (_italic_) text. HTML tags are forbidden.
  • label.error.mustEnter: Required value error message. Maximum 64 characters. You can format messages with bold (*bold*) and italic (_italic_) text. HTML tags are forbidden.
  • label.error.mustSelect: Required selection error message. Maximum 64 characters. You can format messages with bold (*bold*) and italic (_italic_) text. HTML tags are forbidden.
  • label.no.shortcut: Keyboard shortcut for the "No" option. Maximum 1 character.
  • label.no.default: Representation for the word "No." You can format messages with bold (*bold*) and italic (_italic_) text. HTML tags are forbidden.
  • block.dropdown.hint: Not suggestions found for dropdown fields error message. Maximum 64 characters. You can format messages with bold (*bold*) and italic (_italic_) text. HTML tags are forbidden.
  • block.multipleChoice.other: Other answer message. Maximum 100 characters.
  • label.progress.percent: Completion percentage message. Accepts variable progress:percent. Maximum 100 characters.
  • label.progress.proportion: Completion proportion message. Accepts variables progress:step and progress:total. Maximum 100 characters.
  • label.error.required: Required field error message. Maximum 64 characters. You can format messages with bold (*bold*) and italic (_italic_) text. HTML tags are forbidden.
  • label.preview: Review fields error message. Accepts variable form:unanswered_fields. Maximum 64 characters. You can format messages with bold (*bold*) and italic (_italic_) text. HTML tags are forbidden.
  • label.button.review: Review button message. Maximum 100 characters.
  • label.error.server: Server error message. Maximum 128 characters. You can format messages with bold (*bold*) and italic (_italic_) text. HTML tags are forbidden.
  • label.action.share: Share text message. Maximum 100 characters.
  • label.button.submit: Submit button message. Maximum 100 characters.
  • label.warning.success: Successful submit message. Maximum 128 characters. You can format messages with bold (*bold*) and italic (_italic_) text. HTML tags are forbidden.
  • label.button.ok: Answer confirm. Maximum 100 characters.
  • label.error.mustAccept: Legal field terms and conditions message. Maximum 64 characters. You can format messages with bold (*bold*) and italic (_italic_) text. HTML tags are forbidden.
  • block.longtext.hint: Long text field tooltip message. Maximum 128 characters. You can format messages with bold (*bold*) and italic (_italic_) text. HTML tags are forbidden.
  • block.dropdown.placeholder: Placeholder message with instructions for dropdown fields. Maximum 100 characters.
  • block.dropdown.placeholderTouch: Placeholder message with instructions for dropdown fields on touch devices. Maximum 100 characters.
  • label.error.url: Invalid URL error message. Maximum 64 characters. You can format messages with bold (*bold*) and italic (_italic_) text. HTML tags are forbidden.
  • label.yes.shortcut: Keyboard shortcut for the "Yes" option. Maximum 1 character.
  • label.yes.default: Representation for the word "Yes". You can format messages with bold (*bold*) and italic (_italic_) text. HTML tags are forbidden.